| Bsoft 2.0.5 Bernard's software package

Classes | Functions
Quaternion.h File Reference

Class for quaternions. More...

`#include <cmath>`
`#include "Vector3.h"`

Go to the source code of this file.

## Classes
class | Vector3< Type >
| Vector class for 3-value vectors used in 3D space. The internal variables are an array of 3 numbers. More...
class | Quaternion

## Functions
ostream & | operator<< (ostream &output, Quaternion &q)
template<typename Type >
Vector3< Type > | vector3_rotate (Vector3< Type > &vec, Vector3< Type > &axis, double angle)

## Detailed Description

Class for quaternions.

Author
  Bernard Heymann

Date
  Created: 20051017
  Modified: 20150115

Definition in file Quaternion.h.

## Function Documentation

## ◆ operator<<()

ostream& operator<< | ( | ostream & | output,
|  | Quaternion & | q
| ) |  |

Definition at line 15 of file Quaternion.cpp.

## ◆ vector3_rotate()

template<typename Type >

Vector3<Type> vector3_rotate | ( | Vector3< Type > & | vec,
|  | Vector3< Type > & | axis,
|  | double | angle
| ) |  |
| inline

Definition at line 183 of file Quaternion.h.